VULKAN_HPP_NAMESPACE::PhysicalDeviceTransformFeedbackFeaturesEXT Struct Reference

`#include <vulkan.hpp>`

## Public Member Functions

| PhysicalDeviceTransformFeedbackFeaturesEXT (Bool32 transformFeedback_=0, Bool32 geometryStreams_=0)
| PhysicalDeviceTransformFeedbackFeaturesEXT (VkPhysicalDeviceTransformFeedbackFeaturesEXT const &rhs)
PhysicalDeviceTransformFeedbackFeaturesEXT & | operator= (VkPhysicalDeviceTransformFeedbackFeaturesEXT const &rhs)
PhysicalDeviceTransformFeedbackFeaturesEXT & | setPNext (void *pNext_)
PhysicalDeviceTransformFeedbackFeaturesEXT & | setTransformFeedback (Bool32 transformFeedback_)
PhysicalDeviceTransformFeedbackFeaturesEXT & | setGeometryStreams (Bool32 geometryStreams_)
| operator VkPhysicalDeviceTransformFeedbackFeaturesEXT const & () const
| operator VkPhysicalDeviceTransformFeedbackFeaturesEXT & ()
bool | operator== (PhysicalDeviceTransformFeedbackFeaturesEXT const &rhs) const
bool | operator!= (PhysicalDeviceTransformFeedbackFeaturesEXT const &rhs) const

## Data Fields

void * | pNext = nullptr
Bool32 | transformFeedback
Bool32 | geometryStreams

## Private Attributes

StructureType | sType = StructureType::ePhysicalDeviceTransformFeedbackFeaturesEXT

## Detailed Description

Definition at line 19188 of file vulkan.hpp.

## Constructor & Destructor Documentation

## PhysicalDeviceTransformFeedbackFeaturesEXT() [1/2]

VULKAN_HPP_NAMESPACE::PhysicalDeviceTransformFeedbackFeaturesEXT::PhysicalDeviceTransformFeedbackFeaturesEXT | ( | Bool32 | transformFeedback_ = `0`,
|  | Bool32 | geometryStreams_ = `0`
| ) |  |

inline

Definition at line 19190 of file vulkan.hpp.

: transformFeedback( transformFeedback_ )
, geometryStreams( geometryStreams_ )
{
}

## PhysicalDeviceTransformFeedbackFeaturesEXT() [2/2]

VULKAN_HPP_NAMESPACE::PhysicalDeviceTransformFeedbackFeaturesEXT::PhysicalDeviceTransformFeedbackFeaturesEXT | ( | VkPhysicalDeviceTransformFeedbackFeaturesEXT const & | rhs | ) |

inline

Definition at line 19197 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( PhysicalDeviceTransformFeedbackFeaturesEXT ) );
}

References memcpy.

## Member Function Documentation

## operator VkPhysicalDeviceTransformFeedbackFeaturesEXT &()

VULKAN_HPP_NAMESPACE::PhysicalDeviceTransformFeedbackFeaturesEXT::operator VkPhysicalDeviceTransformFeedbackFeaturesEXT & | ( |  | ) |

inline

Definition at line 19230 of file vulkan.hpp.

{
return *reinterpret_cast<VkPhysicalDeviceTransformFeedbackFeaturesEXT*>(this);
}

## operator VkPhysicalDeviceTransformFeedbackFeaturesEXT const &()

VULKAN_HPP_NAMESPACE::PhysicalDeviceTransformFeedbackFeaturesEXT::operator VkPhysicalDeviceTransformFeedbackFeaturesEXT const & | ( |  | ) | const

inline

Definition at line 19225 of file vulkan.hpp.

{
return *reinterpret_cast<const VkPhysicalDeviceTransformFeedbackFeaturesEXT*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::PhysicalDeviceTransformFeedbackFeaturesEXT::operator!= | ( | PhysicalDeviceTransformFeedbackFeaturesEXT const & | rhs | ) | const

inline

Definition at line 19243 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

PhysicalDeviceTransformFeedbackFeaturesEXT& VULKAN_HPP_NAMESPACE::PhysicalDeviceTransformFeedbackFeaturesEXT::operator= | ( | VkPhysicalDeviceTransformFeedbackFeaturesEXT const & | rhs | ) |

inline

Definition at line 19202 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( PhysicalDeviceTransformFeedbackFeaturesEXT ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::PhysicalDeviceTransformFeedbackFeaturesEXT::operator== | ( | PhysicalDeviceTransformFeedbackFeaturesEXT const & | rhs | ) | const

inline

Definition at line 19235 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( transformFeedback == rhs.transformFeedback )
&& ( geometryStreams == rhs.geometryStreams );
}

References geometryStreams, pNext, sType, and transformFeedback.

Referenced by operator!=().

## setGeometryStreams()

PhysicalDeviceTransformFeedbackFeaturesEXT& VULKAN_HPP_NAMESPACE::PhysicalDeviceTransformFeedbackFeaturesEXT::setGeometryStreams | ( | Bool32 | geometryStreams_ | ) |

inline

Definition at line 19219 of file vulkan.hpp.

{
geometryStreams = geometryStreams_;
return *this;
}

References geometryStreams.

## setPNext()

PhysicalDeviceTransformFeedbackFeaturesEXT& VULKAN_HPP_NAMESPACE::PhysicalDeviceTransformFeedbackFeaturesEXT::setPNext | ( | void * | pNext_ | ) |

inline

Definition at line 19207 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## setTransformFeedback()

PhysicalDeviceTransformFeedbackFeaturesEXT& VULKAN_HPP_NAMESPACE::PhysicalDeviceTransformFeedbackFeaturesEXT::setTransformFeedback | ( | Bool32 | transformFeedback_ | ) |

inline

Definition at line 19213 of file vulkan.hpp.

{
transformFeedback = transformFeedback_;
return *this;
}

References transformFeedback.

## Field Documentation

## geometryStreams

Bool32 VULKAN_HPP_NAMESPACE::PhysicalDeviceTransformFeedbackFeaturesEXT::geometryStreams

Definition at line 19254 of file vulkan.hpp.

Referenced by operator==(), and setGeometryStreams().

## pNext

void* VULKAN_HPP_NAMESPACE::PhysicalDeviceTransformFeedbackFeaturesEXT::pNext = nullptr

Definition at line 19252 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## sType

StructureType VULKAN_HPP_NAMESPACE::PhysicalDeviceTransformFeedbackFeaturesEXT::sType = StructureType::ePhysicalDeviceTransformFeedbackFeaturesEXT

private

Definition at line 19249 of file vulkan.hpp.

Referenced by operator==().

## transformFeedback

Bool32 VULKAN_HPP_NAMESPACE::PhysicalDeviceTransformFeedbackFeaturesEXT::transformFeedback

Definition at line 19253 of file vulkan.hpp.

Referenced by operator==(), and setTransformFeedback().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::PhysicalDeviceTransformFeedbackFeaturesEXT::operator==
bool operator==(PhysicalDeviceTransformFeedbackFeaturesEXT const &rhs) const
Definition: vulkan.hpp:19235
VULKAN_HPP_NAMESPACE::PhysicalDeviceTransformFeedbackFeaturesEXT::pNext
void * pNext
Definition: vulkan.hpp:19252
VULKAN_HPP_NAMESPACE::PhysicalDeviceTransformFeedbackFeaturesEXT::geometryStreams
Bool32 geometryStreams
Definition: vulkan.hpp:19254
VULKAN_HPP_NAMESPACE::PhysicalDeviceTransformFeedbackFeaturesEXT::sType
StructureType sType
Definition: vulkan.hpp:19249
VkPhysicalDeviceTransformFeedbackFeaturesEXT
Definition: vulkan_core.h:6393
VULKAN_HPP_NAMESPACE::PhysicalDeviceTransformFeedbackFeaturesEXT::transformFeedback
Bool32 transformFeedback
Definition: vulkan.hpp:19253
VULKAN_HPP_NAMESPACE::PhysicalDeviceTransformFeedbackFeaturesEXT::PhysicalDeviceTransformFeedbackFeaturesEXT
PhysicalDeviceTransformFeedbackFeaturesEXT(Bool32 transformFeedback_=0, Bool32 geometryStreams_=0)
Definition: vulkan.hpp:19190